%define xtag X11R7.3
%define tarball xf86-video-radeonhd
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%ifarch %{ix86} x86_64 
%define with_dri	1
%else
%define with_dri	0
%endif

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Xorg X11 radeonhd video driver
Name:      	xorg-x11-drv-radeonhd
Version:   	1.1.0
Release:   	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	%{tarball}-%{version}.tar.bz2
#Source1:   	ati.xinf
#Source2:   	r128.xinf
#Source3:   	radeon.xinf

ExclusiveArch: 	%{ix86} x86_64 ia64 ppc alpha sparc sparc64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk >= 1.1.1
%if %{with_dri}
BuildRequires: 	mesa-libGL-devel
BuildRequires: 	libdrm-devel
%endif
BuildRequires:	pixman-devel

Requires:  	xorg-x11-server-Xorg >= 1.1.1

%description 
X.Org X11 ati video driver.

%prep
%setup -q -n %{tarball}-%{version}

#if [ -e autogen.sh ]; then
#	./autogen.sh
#fi

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


# INFO: We don't want to ship the libtool archives (*.la) from modules
# directory, as they serve no useful purpose.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{driverdir}
%{driverdir}/radeonhd_drv.so
%dir %{_mandir}/man4
%{_mandir}/man4/radeonhd.4*

%changelog
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- version update
* Sun Dec 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Initial release
